Fin's AI Tweaks (FAIT)

Download any EFT version outside of its official way can get you banned.
If we find out that you downloaded EFT on a pirate website you'll be banned without further informations.

You need to own the game and keep it installed on your computer to play AKI.
  • I've never heard about this issue before, I'm afraid. If you'd like, you can either zip your FAIT folder and upload it to dropbox (If you've done anything unusual, like manual edits to the bot_inventories files or the advanced configs) or paste your config here in a spoiler, and I can see if I can use your settings to reproduce the issue.

    I haven't manually edited bot_inventories or the advanced configs, just the GUI config editor. I did a slight edit to mod.js to use faction armbands for only PMCs, but this issue existed before that. I'll paste my config.


  • Taking a quick look, I see you still have Optimized Loading disabled, and Load Gear From File enabled. This means that your bots will be pulling all their gear settings from the bot_inventory files, and ignoring the config.

    Didn't you tell me to do that when I asked you about the bot_inventory files not so long ago? My idea was to edit the bot_inventory files manually in such a way were the bots had their respective items Scavs for example, would have the basic of gear - a stock AK, a small-ish type bag like a sling bag, 1 or 2 meds etc.. but the issue I had was that when changing and saving the files it just didn't show in-game (more than likely a conflict or an error with the config on my part) and I just can't seem to get a solid build for my game it's so frustrating I'm sure you know all too well. I'd rather the mod loads from the bots_inventories rather than the main config just so there's no confusion, hopefully I explained it clearly enough.

  • I haven't manually edited bot_inventories or the advanced configs, just the GUI config editor. I did a slight edit to mod.js to use faction armbands for only PMCs, but this issue existed before that. I'll paste my config.

    Unfortunately, I still can't reproduce that error on my end. -I'm wondering if it might be due to some damaged files in Aki_Data? You might try downloading a fresh copy of SPT, and pasting in the fresh copy's Aki_Data folder to see if that makes a difference. You might also try making a new profile for testing purposes, just to check and see if it's some sort of corruption in your current profile.

    Didn't you tell me to do that when I asked you about the bot_inventory files not so long ago? My idea was to edit the bot_inventory files manually in such a way were the bots had their respective items Scavs for example, would have the basic of gear - a stock AK, a small-ish type bag like a sling bag, 1 or 2 meds etc.. but the issue I had was that when changing and saving the files it just didn't show in-game (more than likely a conflict or an error with the config on my part) and I just can't seem to get a solid build for my game it's so frustrating I'm sure you know all too well. I'd rather the mod loads from the bots_inventories rather than the main config just so there's no confusion, hopefully I explained it clearly enough.

    There may be a small misunderstanding here, then. -The three loading options control how the bot_inventory files are handled, and whether or not the settings in the config are applied. Reposting from before:


    Because of this, it's impossible to both have the config affect bot loadouts, and be able to make manual edits to the bot_inventories files at the same time. You need to pick one or the other, which is determined by those three options. -Going by the config you sent me, it seems currently set up to load from the bot_inventories file. If you wanted to have it respect the config instead, you'd want to enable Optimized Loading.

  • Unfortunately, I still can't reproduce that error on my end. -I'm wondering if it might be due to some damaged files in Aki_Data? You might try downloading a fresh copy of SPT, and pasting in the fresh copy's Aki_Data folder to see if that makes a difference. You might also try making a new profile for testing purposes, just to check and see if it's some sort of corruption in your current profile.

    Possibly, but if I remember correctly this issue has existed across a reinstall of AKI I did a few months ago. Back then I thought it was caused by another mod. I'll try replacing the Aki_Data folder as you suggested. I'll also try using the mod with a new profile first.

  • Fin, I am the guy that has been helping Sir_Player_One on his thread, and in his logs whenever he starts the server it throws up A LOT (619 entries) of errors with I'd guess 98% being like this


    Code
    2022-01-10 17:27:18.087 -05:00|0.12.11.7.15680|Error|Default|Item deserialization error: Cannot put item mag_vepr_molot_308_win_std_762x51_10 (id: bc103a6124cfee7d33252580) to slot mod_magazine in item weapon_molot_vepr_hunter_vpo-101_762x51 (id: 860f0f49c4b76bffaf3304a7) because it contains item mag_vepr_molot_308_win_std_762x51_10 (id: 3f85e3b3b4ce443ff7045b51)
    2022-01-10 17:27:18.087 -05:00|0.12.11.7.15680|Error|Default|Item deserialization error: Cannot put item mag_svd_izhmash_svd_std_762x54_10 (id: b74fbac73583292225eb8203) to slot mod_magazine in item weapon_izhmash_svd_s_762x54 (id: d0e204bee979ad17d6990b20) because it contains item mag_svd_izhmash_svd_std_762x54_10 (id: f48a85e5fa9de701fa14b760)
    2022-01-10 17:27:18.142 -05:00|0.12.11.7.15680|Error|Default|Item deserialization error: Cannot put item mag_m14_triple_k_m14_magazine_762x51_30 (id: dfbad5d6cdbd43b7b15ceb47) to slot mod_magazine in item weapon_springfield_m1a_762x51 (id: aca14e7b75dd7abb05a0dade) because it contains item mag_m14_triple_k_m14_magazine_762x51_30 (id: 34417276b5ffda0acb895f35)
    2022-01-10 17:27:18.147 -05:00|0.12.11.7.15680|Error|Default|Item deserialization error: Cannot put item mag_ak_izhmash_ak_std_55_762x39_30 (id: 7b18400025f69498e3ead64a) to slot mod_magazine in item weapon_izhmash_akmsn_762x39 (id: 4bdbab14e426aa32eb4cbb45) because it contains item mag_ak_izhmash_rpk_std_bakelite_762x39_40 (id: d3cfdbd0eb4c9cc79b009582)
    2022-01-10 17:27:18.147 -05:00|0.12.11.7.15680|Error|Default|Item deserialization error: Cannot put item mag_ak74_izhmash_6L26_545x39_45 (id: e9798644e2fc856ed1df86a0) to slot mod_magazine in item weapon_izhmash_aks74_545x39 (id: 8855330f404211ccf6f1c2e9) because it contains item mag_ak74_izhmash_6L26_545x39_45 (id: 817f343b48aee29e0b34a136)
    2022-01-10 17:27:18.147 -05:00|0.12.11.7.15680|Error|Default|Item deserialization error: No parent with id e501dd1428806f918a01a003 found for item b51c498bea3f0f67dc22afce
    2022-01-10 17:27:18.147 -05:00|0.12.11.7.15680|Error|Default|Item deserialization error: Cannot put item mag_ak74_izhmash_6L31_545x39_60 (id: 2375425a755364ff0f48987d) to slot mod_magazine in item weapon_izhmash_ak74m_545x39 (id: a98e0f269527bb1858f6e74f) because it contains item mag_ak74_izhmash_6L31_545x39_60 (id: a60a63a7de303873bf6fc34e)

    (just a tiny snippet)


    so my guess is either that his AKI database is broken or his save is damaged/corrupted

    KN-1

  • Fin added a new version:

    Fin
  • Hey, just downloaded new version and used the config tool to create below config.

    for some reason it throws errors while loading, hope this will help improve mod while i try to create config manually.



    [ERROR] Trace:

    TypeError: Cannot set property 'difficulty' of undefined

    at Function.replaceDifficulties (D:\SPTarkov\user\mods\zzzFin-AITweaks\src\mod.js:1401:33)

    at Function.scrambleBots (D:\SPTarkov\user\mods\zzzFin-AITweaks\src\mod.js:1374:15)

    at Function.setDifficulty (D:\SPTarkov\user\mods\zzzFin-AITweaks\src\mod.js:4916:13)

    at AITweaks.main (D:\SPTarkov\user\mods\zzzFin-AITweaks\src\mod.js:5045:12)

    at AITweaks.load (D:\SPTarkov\user\mods\zzzFin-AITweaks\src\mod.js:125:8)

    at Function.executeMods (D:\SPTarkov\obj\bundle.js:26082:28)

    at Function.load (D:\SPTarkov\obj\bundle.js:25971:15)

    at Object.load [as aki-mods] (D:\SPTarkov\obj\bundle.js:16417:15)

    at Function.load (D:\SPTarkov\obj\bundle.js:27461:27)

    at Function.main (D:\SPTarkov\obj\bundle.js:15143:9)


    Edit i think i found the reason:

    I removed line 37

    pasted-from-clipboard.png

    it seems to help


    Edit:

    yeah it stopped error from happening but nothing spawns in the raid.... no vanilla waves no additional ones

  • You can't leave an AI category empty. -If you only want two levels of difficulty, then you'd want to adjust the high level bots to have the same difficulty value as one of the other types. If you wanted to make them the same as mid level AIs, for instance, you'd set it to 1 below whatever you set mid level AIs to.

  • Thats why nothing spawned? (btw. it worked fine with previous version)


    i tried changing to:

    "aiChanges": {

    "changeBots": {

    "lowLevelAIs": [

    "assault",

    "followergluharassault",

    "followergluharscout",

    "followergluharsecurity",

    "followergluharsnipe",

    "followerkojaniy",

    "followersanitar",

    "followerbully"

    ],

    "midLevelAIs": [

    "pmcbot",

    "assaultgroup",

    "bear",

    "usec"

    ],

    "highLevelAIs": [

    "bosssanitar",

    "bosskojaniy",

    "bosstagilla",

    "bosskilla",

    "bossgluhar",

    "bossbully"

    ]

    },

    and still nothing spawns.


    I tried rolling back to previous version and it works :) so its something wrong with the config even with all 3 levels populated

  • X.X Sorry, it's super late and I misread your first post. -Though I just tried a run on Customs with your config (Altered to place followertagilla in the high level AI list) and things seemed to work as expected using FAIT 1.20.1 (Which I posted after your comment here, so you might try that and see if it makes a difference) and SPT 2.1.0.


    I'll give this another look in the morning when I'm more awake, unless you find a solution in the meantime : )

  • Hi Fin hope you are doing well bud. I did 10 raids on Customs and 5 on Woods & Shoreline to see if PMC's are still being counted as Scavs and they are still showing up as Scavs on the End screen after the raid - https://prnt.sc/26eea4j

    I'm tired xD. -But I'm here. Are you using CPSR and AKI 2.1.2, out of curiosity? I just did a little poking around and released a small speculative fix for both of those, but I can't test it out until I finish copying my Live install and downgrading it to 2.1.2. -I've been using 2.1.0 all this time, and I suspect that may be an issue.

  • I'm tired xD. -But I'm here. Are you using CPSR and AKI 2.1.2, out of curiosity? I just did a little poking around and released a small speculative fix for both of those, but I can't test it out until I finish copying my Live install and downgrading it to 2.1.2. -I've been using 2.1.0 all this time, and I suspect that may be an issue.

    Yeah I feel you man :) but you're doing great! CPSR as in Lua's Spawn Rework? If so, yeah I am using CPSR version 1.3.2 (2.1.2) and the latest version of AKI. I've tried only using FAIT and CPSR with no other mods just to see if the issues would replicate and it still does I'm sorry to say, the PMC's are still being classed as Scavs :( I could help you with some testing if you the help? I am working till Thursday but always happy to lend a hand. Also the gear the AI have is ridiculous! :evil:

  • Yeah I feel you man :) but you're doing great! CPSR as in Lua's Spawn Rework? If so, yeah I am using CPSR version 1.3.2 (2.1.2) and the latest version of AKI. I've tried only using FAIT and CPSR with no other mods just to see if the issues would replicate and it still does I'm sorry to say, the PMC's are still being classed as Scavs :( I could help you with some testing if you the help? I am working till Thursday but always happy to lend a hand. Also the gear the AI have is ridiculous! :evil:

    If you'd like to help, there is actually something you can do. I'd like to see what kind of bot data is being generated on your end, and compare that with what's supposed to be generated. To get that information, you'd want to open up mod.js and do this:


    When you run a raid this will store a log of all the bots that were generated. You don't need to do anything special, you should get useful data within just a couple of minutes, but either way.. -All that will be saved to two files in the donottouch folder, called spawnlogBEFORE and spawnlogAFTER .json. They'll be much too large to paste here (Probably about one million characters, or ~1mb, judging from my quick test case), so you'll need to upload it to dropbox or something.


    There's no rush on this either, if you decide to do it. -I'm going to be a bit busy the next few days, anyways. If you do decide to do it, though, that's much appreciated ^ ^


    Edit: Oh, also, of course: The config settings you used while gathering the data. -Then on my end I'll load up those settings and see what type of data I generate. ALternatively, if you want to just run the default FAIT config settings, you can just lemme know that's what you're doing.

    Edited once, last by Fin ().

  • Brilliant mate I will try that out when I have the next opportunity at my computer. I am working for the next 4 or 5 days and I'll be spending time with my partner and my son so a reply will be slow, however I am interested and keen to try this out. I think it would be easier if I email you or whatever I have never used Dropbox unless its for installing a mod lmao.

  • Im on 1.5.1 tarkov 12.10 because i have no internet on this farm lol im getting this error in the server (i know im using a later version of fin ai) but i was hoping to correct the error or get a link to the older fin ai which is a 404 error when i go down the version its 1.17 im pretty sure for 1.5.1 unless anyone can explain this error (only mod installerd) thanks

    [ERROR] Trace:

    SyntaxError: Unexpected token u in JSON at position 0

    at JSON.parse (<anonymous>)

    at Function.clone (C:\Escape from Tarkov 10\obj\bundle.js:53098:17)

    at Function.AddItemRetexture (C:\Escape from Tarkov 10\user\mods\A_JustNUCore\src\justnucore.js:8:26)

    at Object.onLoadMod [as AdditionalGearBlackModule] (C:\Escape from Tarkov 10\user\mods\Z_AdditionalGear_BlackModule\src\additionalgearblack.js:28:14)

    at Function.executeMods (C:\Escape from Tarkov 10\obj\bundle.js:51867:28)

    at Function.load (C:\Escape from Tarkov 10\obj\bundle.js:51815:15)

    at Object.load [as aki-mods] (C:\Escape from Tarkov 10\obj\bundle.js:43618:15)

    at Function.load (C:\Escape from Tarkov 10\obj\bundle.js:52921:27)

    at Function.main (C:\Escape from Tarkov 10\obj\bundle.js:42371:9)

    at Object.161../Lib.js (C:\Escape from Tarkov 10\obj\bundle.js:42376:9)

  • I've randomly started to get an error that prevents all AI from spawning on maps, it's on a level 21 account that's had 0 changes to files, configs or mods since creation of profile. I've done a complete fresh install of EFT + AKI + downgrade along with all mods in use and copying the profile as a backup. I'm assuming it's either related to a corrupted profile in some way, or an AI Tweaks issue. No issues have been had up til this point, one raid it works, the next had 0 spawns.

    (Mods in use are the following: Coremod, Kiki-AntigravArmbands, Lua-FleaMarketPriceUpdater, SamSWAT-FOV, ZEreshkigal-AllinOneMod, zFin-AITweaks, zThatGuyXIV-RandomLootGen)


    Error:

    • [375ae576f29bc6c658b9af2f][127.0.0.1] /client/game/bot/generate
    • TypeError: Cannot read property '_props' of undefined
    • at G:\EFT - SPT\obj\bundle.js:24247:58
    • at Array.some (<anonymous>)
    • at Function.isItemIncompatibleWithCurrentItems (G:\EFT - SPT\obj\bundle.js:24247:29)
    • at Function.generateModsForItem (G:\EFT - SPT\obj\bundle.js:24121:27)
    • at Function.generateWeapon (G:\EFT - SPT\obj\bundle.js:24033:33)
    • at Function.generateInventory (G:\EFT - SPT\obj\bundle.js:23925:22)
    • at Function.regenBot (G:\EFT - SPT\user\mods\zFin-AITweaks\src\mod.js:2458:33)
    • at Array.pmcScavAlliance (G:\EFT - SPT\user\mods\zFin-AITweaks\src\mod.js:1736:19)
    • at Object.botGen [as botGenerationQueue] (G:\EFT - SPT\user\mods\zFin-AITweaks\src\mod.js:4296:69)
    • at Function.getResponse (G:\EFT - SPT\obj\bundle.js:26266:57)


    Thanks in advance

  • [snip]

    To figure out which ID is causing this issue, you'd want to open up mod.js, and find the line:


    this.main()


    And add this directly beneath it:


    BotGenerator.isItemIncompatibleWithCurrentItems = function(items, tplToCheck, equipmentSlot)

    {

    console.log(`New check:`)

    console.log(`Items:`)

    console.log(items)

    console.log(`tplToCheck:`)

    console.log(tplToCheck)

    console.log(`If you got an error below this message, the information directly above, beneath 'New check:' was the cause`)

    // TODO: Can probably be optimized to cache itemTemplates as items are added to inventory

    const itemTemplates = items.map(i => DatabaseServer.tables.templates.items[i._tpl]);

    const templateToCheck = DatabaseServer.tables.templates.items[tplToCheck];

    // Check if any of the current inventory templates have the incoming item defined as incompatible

    const currentInventoryCheck = itemTemplates.some(item => item._props[`Blocks${equipmentSlot}`] || item._props.ConflictingItems.includes(tplToCheck));

    // Check if the incoming item has any inventory items defined as incompatible

    const itemCheck = items.some(item => templateToCheck._props[`Blocks${item.slotId}`] || templateToCheck._props.ConflictingItems.includes(item._tpl));

    return currentInventoryCheck || itemCheck;

    }


    That should tell you exactly what item IDs are being processed when the error occurs, and we can work out more from that.


    -Alternatively, try adding 5e85aac65505fa48730d8af2 and 5f647fd3f6e4ab66c82faed6 to the blacklist. These are some incredibly problematic item IDs that just keep resurfacing despite all my fixes x.x

    Edited once, last by Fin ().

  • snip

    -Alternatively, try adding 5e85aac65505fa48730d8af2 and 5f647fd3f6e4ab66c82faed6 to the blacklist. These are some incredibly problematic item IDs that just keep resurfacing despite all my fixes x.x

    It was as you thought, adding those 2 ID's as blacklisted weapon spawns fixed everything.

    Getting this error which prevent raid to end as well as hanging up when I close the game and restart it. It takes a server reset to make it work again:


    I've been experiencing the same thing as RainDreamer has, and after doing some testing I heavily suspect it's related to ProgressiveMode being enabled, you'll get max a raid or two without issue & everything after that it holds you hostage on a blank screen upon extracting, where you have to restart the game/server/launcher in order to fix, and since you're force-quitting, it's often a 50/50 gamble whether you keep the stuff you got in said raid, so it can get tedious. I've also noticed the "[ERROR] Level = X" appears after every raid but only seems to bug you out after a raid or two, so I might be completely wrong in my suspicion.


    Let me know if there's any more information I can provide to help

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!